Bug 701112 - (mingw32-wxWidgets) Review Request: mingw-wxWidgets - C++ cross-platform GUI library
Review Request: mingw-wxWidgets - C++ cross-platform GUI library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
: 522199 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-01 05:34 EDT by Thomas Sailer
Modified: 2011-06-02 14:59 EDT (History)
5 users (show)

See Also:
Fixed In Version: mingw-wxWidgets-2.8.12-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-30 18:27:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kalevlember: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2011-05-01 05:34:35 EDT
Spec URL: http://sailer.fedorapeople.org/mingw32-wxWidgets.spec
SRPM URL: http://sailer.fedorapeople.org/mingw32-wxWidgets-2.8.11-1.fc14.src.rpm
Description: wxWidgets is the C++ cross-platform GUI library, offering classes for all common GUI controls as well as a comprehensive set of helper classes for most common application tasks, ranging from networking to HTML display and image manipulation.
Comment 1 Thomas Sailer 2011-05-01 05:37:11 EDT
*** Bug 522199 has been marked as a duplicate of this bug. ***
Comment 2 Kalev Lember 2011-05-03 16:10:38 EDT
Taking for review.

- There are a bunch of %defines just above the %build section that duplicate the
  %globals at the top of the file.

- The package isn't building the -debuginfo subpackage.

- There's a new 2.8.12 release available; can you update to it?

- The BuildRoot tag, the whole %clean section, the 'rm -rf $RPM_BUILD_ROOT' at
  the beginning of %install, and the %deffattr lines are no longer required on
  current Fedora releases.

- It BuildRequires the mingw32-libpng package, but the configure script doesn't
  seem to like the png library:
configure: WARNING: system png library not found or too old, will use built-in instead
Comment 3 Thomas Sailer 2011-05-04 12:24:15 EDT
I've updated the package according to your requests:

http://people.fedoraproject.org/~sailer/mingw32-wxWidgets-2.8.12-1.fc14.src.rpm
http://people.fedoraproject.org/~sailer/mingw32-wxWidgets.spec

The reason for the png issue was that wxWidgets tries to link with -lpng. While our mingw32-libpng package contains a libpng.la file, it neither contains libpng.a nor libpng.dll.a. This seems strange to me. Anyway, I fixed it by patching configure to link against -lpng14.

Scratch Build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3049917

The rpmlint messages:
$ rpmlint mingw32-wxWidgets-*
mingw32-wxWidgets.noarch: W: no-documentation
mingw32-wxWidgets-debuginfo.noarch: E: debuginfo-without-sources
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_core-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_baseu-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_richtext-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_qa-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_baseu_net-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwxregexu-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_adv-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_baseu_xml-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_xrc-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_html-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libwx_mswu_aui-2.8-i686-pc-mingw32.a
mingw32-wxWidgets-static.noarch: W: no-documentation
4 packages and 0 specfiles checked; 12 errors, 2 warnings.
Comment 4 Kalev Lember 2011-05-05 15:39:22 EDT
Fedora review mingw32-wxWidgets-2.8.12-1.fc14.src.rpm 2011-05-05

+ OK
! needs attention

+ rpmlint output
+ The package is named according to Fedora MinGW packaging guidelines
+ The spec file name matches the package base name
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The stated license is the same as the one for the corresponding
  native Fedora package
! The package doesn't contain the license file 
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  2fa39da14bc06ea86fe902579fedc5b1  wxWidgets-2.8.12.tar.gz
  2fa39da14bc06ea86fe902579fedc5b1  Download/wxWidgets-2.8.12.tar.gz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a The spec file MUST handle locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
    Fedora MinGW guidelines allow headers in main package
+ Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
    Fedora MinGW guidelines allow .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Directory ownership sane
+ Filenames are valid UTF-8


Issues:
! The binary rpm doesn't contain any license files, although they are 
  shipped in the upstream tarball.

Can you also move the _mingw32_debug_package macro so it'd be right before the %prep section? This is far from a blocker, but the way it currently is breaks 'spectool -g'.
Comment 5 Thomas Sailer 2011-05-05 17:36:35 EDT
Ok, thanks for the review! I've added the license files and moved _mingw32_debug_package to the more logical place you suggested.

New files (now on another location as fedorapeople is down):
http://www.baycom.org/~tom/fedora/mingw32-wxWidgets-2.8.12-2.fc14.src.rpm
http://www.baycom.org/~tom/fedora/mingw32-wxWidgets.spec
Comment 6 Kalev Lember 2011-05-05 17:48:31 EDT
Looks good.

APPROVED
Comment 7 Thomas Sailer 2011-05-05 17:53:56 EDT
Thanks!

New Package SCM Request
=======================
Package Name: mingw32-wxWidgets
Short Description: MinGW port of the wxWidgets GUI library
Owners: sailer kalev
Branches: f14 f15
Comment 8 Thomas Sailer 2011-05-13 15:37:05 EDT
Wait until https://fedorahosted.org/fpc/ticket/83 is resolved
Comment 9 Thomas Sailer 2011-05-19 17:08:20 EDT
New Package SCM Request
=======================
Package Name: mingw-wxWidgets
Short Description: MinGW port of the wxWidgets GUI library
Owners: sailer kalev
Branches: f14 f15
Comment 10 Jason Tibbitts 2011-05-19 19:21:29 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2011-05-23 11:15:48 EDT
mingw-wxWidgets-2.8.12-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mingw-wxWidgets-2.8.12-3.fc14
Comment 12 Fedora Update System 2011-05-23 12:07:10 EDT
mingw-wxWidgets-2.8.12-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mingw-wxWidgets-2.8.12-3.fc15
Comment 13 Fedora Update System 2011-05-24 22:22:20 EDT
mingw-wxWidgets-2.8.12-3.fc14 has been pushed to the Fedora 14 testing repository.
Comment 14 Fedora Update System 2011-05-30 18:27:24 EDT
mingw-wxWidgets-2.8.12-3.fc15 has been pushed to the Fedora 15 stable repository.
Comment 15 Fedora Update System 2011-06-02 14:59:24 EDT
mingw-wxWidgets-2.8.12-3.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.